Support

Home Forums Event Espresso Premium PHP 8.1 or 8.2 Compatability

PHP 8.1 or 8.2 Compatability

Posted: May 14, 2024 at 9:12 am


mvincik

May 14, 2024 at 9:12 am

Hello,
Whenever I upgrade my client from PHP 7.4 to PHP 8.1 or 8.2 and then click on the Event Espresso Menu in the admin area it directs me to the Page Not Found on the front end. Can you assist with this issue? We would like all of our clients to be off of PHP 7.4.

Thank you,
Matt


Sam

  • Support Staff

May 14, 2024 at 12:27 pm

Hi Matt,

The EE plugin is compatible with PHP 8.XX. Can you please check the error log of the website to see if there is any error listed?

Also please perform a troubleshooting to see if any other plugin/theme conflicting with the PHP version.
https://eventespresso.com/wiki/troubleshooting-checklist/

Please let us know the report so that we can help you better.


Rio

  • Support Staff

May 14, 2024 at 7:01 pm

Just to add some troubleshooting. It is possible that permalinks needed to reset. You have to go to your WP admin -> Setting -> Permalinks
https://monosnap.com/file/16FgQH5iZUcMLnxdjsWVLnrFPzyXEk

then just save it.

thanks

You must be logged in to reply to this support post. Sign In or Register for an Account

Event Espresso